routeEnhancers:
  SingleProduct:
    type: Extbase
    limitToPages: [5]
    extension: sutterbeggmagento
    plugin: singleproduct
    routes:
      - { routePath: '{product}', _controller: 'Product::show', _arguments: {'product': 'product'} }
    defaultController: 'Product::show'
    aspects:
      product:
        type: MagentoValueMapper
        propertyName: 'product'
  ProductList:
    type: Extbase
    extension: sutterbeggmagento
    plugin: productlist
    routes:
       - { routePath: '{page}',_controller: 'Product::list', _arguments: {'page': 'currentPage'} }
    defaultController: 'Product::list'
    defaults:
      page: '1'
    requirements:
      page: '\d+'
    aspects:      
      page:
        type: StaticRangeMapper
        start: '1'
        end: '1000'
  Order:
    type: Extbase
    extension: sutterbeggmagento
    plugin: order
    routes:
       - { routePath: '/p/{page}',_controller: 'Order::list', _arguments: {'page': 'currentPage'} }
       - { routePath: '/order/{order}',_controller: 'Order::show', _arguments: {'order': 'order'} }
    defaultController: 'Order::list'
    defaults:
      page: '1'
    requirements:
      page: '\d+'
    aspects:      
      page:
        type: StaticRangeMapper
        start: '1'
        end: '1000'
  AccountPlugin:
      type: Extbase
      extension: sutterbeggmagento
      plugin: account
      routes:
          - { routePath: '/', _controller: 'Account::accountEdit'}
      defaultController: 'Account::accountEdit'
  NewsletterPlugin:
      type: Extbase
      extension: sutterbeggmagento
      plugin: newslettersignup
      routes:
          - { routePath: '/', _controller: 'Account::newsletterSignup'}
      defaultController: 'Account::newsletterSignup'
  LoginPlugin:
      type: Extbase
      extension: sutterbeggmagento
      plugin: login
      routes:
          - { routePath: '/auth', _controller: 'Login::authenticate'}
          - { routePath: '/reset', _controller: 'Login::passwordLost'}
          - { routePath: '/reset/{hash}', _controller: 'Login::passwordLost', _arguments: {'hash': 'hash' } }
      defaultController: 'Login::authenticate'
  CheckoutPlugin:
      type: Extbase
      extension: sutterbeggmagento
      plugin: checkout
      routes:
          - { routePath: '/', _controller: 'Checkout::show'}
          - { routePath: '/success', _controller: 'Checkout::success'}
          - { routePath: '/declined', _controller: 'Checkout::declined'}
      defaultController: 'Checkout::show'